Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseNodeBuilder Class Reference
[Mouse_interactor]

`#include <MouseNodeBuilder.h>`

Inherits tlp::InteractorComponent.

Inheritance diagram for tlp::MouseNodeBuilder:

[legend]
Collaboration diagram for tlp::MouseNodeBuilder:

[legend]
List of all members.

## Public Member Functions

- MouseNodeBuilder ()
- ~MouseNodeBuilder ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseNodeBuilder::MouseNodeBuilder | ( |  | ) | `[inline]`

tlp::MouseNodeBuilder::~MouseNodeBuilder | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseNodeBuilder::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Implements tlp::InteractorComponent.

bool tlp::MouseNodeBuilder::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010